## Daten aus einer Datenbank (SQLite) indizieren

**Configuration**

1. Ein neues Core erstellen durch Solr-Webapp oder mit CLI:

   ```
   bin/solr create -c dkrz
   ```

   Ein Verzeichnis für das Solr Core wird anschließend unter `solr-7.1.0/server/solr/dkrz`, wo der Index sowie die Konfigurationen Datein abgelegt sind.

2. Die Konfig-Datei `solr-7.1.0/server/solr/dkrz/conf/solrconfig.xml` anhands der von Andrej anpassen.
   Hinweis: die `solrconfig.xml ` von Andrej kann nicht direkt eingesetzt werden.

3. SQLite JDBC Dependency `sqlite-jdbc-3.21.0.jar` zu `solr-7.1.0/dist` hinzufügen (siehe `solrconfig.xml`).

4. Config-Datei für Data-Import Handler `DIHconfigfile.xml` zu Config-Ordner `solr-7.1.0/server/solr/dkrz/conf` hinzufügen. 

5. Den Pfad zu `mydatabase_.db` in `DIHconfigfile.xml` anpassen.

6. Die Solr Instanz neustarten.

7. Daten indizieren bzw. importieren im Solr-Webapp.

**Enable CORS in Solr**

CORS (Cross-Origin Resource Sharing) muss in Apache Solr freigeschaltet werden,
damit JS-Klient API-Aufrufe gegen Solr Server machen kann. Siehe: [Going Cross-Origin with Solr](http://opensourceconnections.com/blog/2015/03/26/going-cross-origin-with-solr/).	
